## List available webhook event types

**get** `/v3/webhook-events`

Returns all available webhook event types that can be subscribed to.
Use this endpoint to discover valid values for the `subscribed_events`
field when creating or updating webhook subscriptions.

### Returns

- `doc_url: "https://docs.linqapp.com/channel/imessage/guides/webhooks/events"`

  URL to the webhook events documentation

  - `"https://docs.linqapp.com/channel/imessage/guides/webhooks/events"`

- `events: array of WebhookEventType`

  List of all available webhook event types

  - `"message.sent"`

  - `"message.received"`

  - `"message.read"`

  - `"message.delivered"`

  - `"message.failed"`

  - `"message.edited"`

  - `"reaction.added"`

  - `"reaction.removed"`

  - `"poll.received"`

  - `"poll.failed"`

  - `"poll.sent"`

  - `"poll.delivered"`

  - `"poll.read"`

  - `"poll.updated"`

  - `"poll.vote.added"`

  - `"poll.vote.removed"`

  - `"poll.reaction.added"`

  - `"participant.added"`

  - `"participant.removed"`

  - `"chat.created"`

  - `"chat.group_name_updated"`

  - `"chat.group_icon_updated"`

  - `"chat.group_name_update_failed"`

  - `"chat.group_icon_update_failed"`

  - `"chat.background_updated"`

  - `"chat.background_update_failed"`

  - `"chat.typing_indicator.started"`

  - `"chat.typing_indicator.stopped"`

  - `"phone_number.status_updated"`

  - `"contact_card.received"`

  - `"call.initiated"`

  - `"call.ringing"`

  - `"call.answered"`

  - `"call.ended"`

  - `"call.failed"`

  - `"call.declined"`

  - `"call.no_answer"`

  - `"location.sharing.started"`

  - `"location.sharing.stopped"`

  - `"payment.succeeded"`

  - `"payment.canceled"`

  - `"payment.expired"`

  - `"payment.declined"`

  - `"payment.authorized"`

  - `"connection.created"`

  - `"connection.revoked"`

### Example

```http
curl https://api.linqapp.com/api/partner/v3/webhook-events \
    -H "Authorization: Bearer $LINQ_API_V3_API_KEY"
```

#### Response

```json
{
  "events": [
    "message.sent",
    "message.received",
    "message.read",
    "message.delivered",
    "message.failed",
    "reaction.added",
    "reaction.removed",
    "poll.received",
    "poll.sent",
    "poll.delivered",
    "poll.read",
    "poll.updated",
    "poll.failed",
    "poll.vote.added",
    "poll.vote.removed",
    "poll.reaction.added",
    "participant.added",
    "participant.removed",
    "chat.created",
    "chat.group_name_updated",
    "chat.group_icon_updated",
    "chat.group_name_update_failed",
    "chat.group_icon_update_failed",
    "chat.background_updated",
    "chat.typing_indicator.started",
    "chat.typing_indicator.stopped",
    "message.edited",
    "phone_number.status_updated",
    "contact_card.received"
  ],
  "doc_url": "https://docs.linqapp.com/channel/imessage/guides/webhooks/events"
}
```
